﻿.table.dataTable {
    
   
    font-family: Arial !important;
}

    .table.dataTable tr:first-child th {
        
        font-weight: bold !important;
        background-color: #737373 !important;
        color: white !important;
    }

    .table.dataTable tr:nth-child(2) th {
        background-color: #F4F5F5 !important;
        max-height: 30px !important;
    }

.table th, .table td {
    padding: 0.45rem !important;
}

.table.dataTable tbody td {
    padding: 0.45rem !important;
    /* min-width: 200px !important;*/
    max-width: 200px !important;
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
}

.table-action {
    padding-right: 10px !important;
    font-size: 12px !important;
    cursor: pointer;
}
.table-actionAttachement {
    padding-right: 1px !important;
    font-size: 12px !important;
    cursor: pointer;
}

    .table-action .fa-edit {
        color: dodgerblue;
    }

    .table-action .fa-trash {
        color: darkred;
    }

div.dtsp-searchPane .dtsp-searchIcon {
    display: block;
    position: relative;
    padding: 14px 13px;
    border: 1px solid #ced4da;
}

.form-controlDatatable {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

table.dataTable > thead > tr > td:not(.sorting_disabled) {
    padding-right: 10px;
}

.dataTables_scrollBody thead tr {
    visibility: collapse;
}


.select2-results__options {
    font-size: 10px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: white;
    color: black;
   
    margin-top: 2px;
}

thead .select2-selection__rendered {
    padding-top: 0px !important;
}

/*.dataTables_wrapper .dataTables_info {
    padding-left: 0.4rem !important
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    border-radius: 10% !important;
    padding: 0.5em 0.9em !important;
}

    .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
        background: none;
        color: black !important;*/
/*change the hover text color*/
/*}

    .dataTables_wrapper .dataTables_paginate .paginate_button:active {
        background: none;
        color: white !important;
        background-color: #737373 !important;
        border-color: #737373 !important;
    }

    .dataTables_wrapper .dataTables_paginate .paginate_button.current {
        background-color: #737373 !important;
        color: white !important;
        border-color: #737373 !important;
    }

.dataTables_length {
    margin-top: 0.3rem !important;
}*/
div.dt-container div.dt-info {
    margin-left: .25rem !important;
    padding-top: .50rem !important;
}

div.dt-container div.dt-paging {
    font-size: 0.60rem !important;
    float: right;
    margin-right: .25rem !important;
    margin-bottom: .50rem !important
}

@media (min-width: 768px) {
    div.dt-container div.dt-info {
        margin-left: .25rem !important;
        padding-top: .50rem !important;
        
    }

    div.dt-container div.dt-paging {
        /*font-size: 0.60rem !important;*/
        float: right;
        margin-right: .25rem !important;
        margin-bottom: .50rem !important
    }
}

.page-link {
    color: #000 !important;
}

    .page-link:hover {
        color: #EB0023 !important;
        border-color: #EB0023 !important;
    }

.page-item.active .page-link {
    color: #FFF !important;
    background-color: #7E000A !important;
    border-color: #7E000A !important;
}

table.dataTable th.dt-type-numeric, table.dataTable th.dt-type-date,
table.dataTable td.dt-type-numeric, table.dataTable td.dt-type-date {
    text-align: left !important;
}

/*div.DTE_Inline div.DTE_Field input div.DTE_Field_Type_select {
    margin: 0px 0 0px !important;
}*/

div.DTE_Inline div.DTE_Inline_Field input {
    margin: 0px 0 0px !important;
}

div.DTE_Inline div.DTE_Inline_Field select {
    margin: 0px 0 0px !important;
}

div.DTE_Inline div.DTE_Inline_Field .form-control {
    /*font-size: 10px !important;*/
}

.select2-search select2-search--inline .select2-search__field {
    height: 15px !important;
}
.select2-container .select2-selection--multiple {
    min-height: 15px !important;
}
.select2-container .select2-search--inline .select2-search__field {
    margin-top: 2px;
}



.select2-container--default.select2-container--disabled .select2-selection--multiple {
    background-color: #E9ECEF !important;
}
.select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #E9ECEF !important;
}

.table td, .table th {
    vertical-align: middle !important;
}